# /*
# Copyright 2016 Paul Hänsch
#
# This file is part of Confetti.
# 
# Confetti is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Confetti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Confetti.  If not, see <http://www.gnu.org/licenses/>. 

. ${0%/*}/cards.css.sh

cat <<EOF
/**/
body {padding-bottom: 3em; }

.trailbtn { display: none; }
.trailbtn + .trailbox { display: none; }
.trailbtn:checked + .trailbox { display: inline-block; }
.trailbtn:checked + .trailbox + .trailbtn { display: block; }
.trailbtn:checked + .trailbox + .trailbtn:before {
   display: block; content: '+';
   width: 3ex; text-align: center;
   margin-top: .25em; padding: .25em 0;
   background-color: #FFF;
   border-width: 1px; border-style: solid;
}
.trailbtn:checked + .trailbox + .trailbtn:checked,
.trailbtn:checked { display: none; }

.prescription {
  display: inline-block;
  width: 96%; max-width: 460px;
  color: #800;
  background-color: #DDD;
  margin: 1em -1% 0 2%; padding: 0;
  border: 1px solid #888;
  overflow: hidden;
  vertical-align: top;
}
form.prescription { padding-top: 1ex;}

.newprescription {
  display: block;
  margin: 0 2em; padding: .5ex 2ex;
  background-color: #CFF;
  border: 1px solid #888;
  border-radius: 0 0 1ex 1ex;
}

.prescription * {
  display: inline-block;
  font-size: 1em;
  line-height: 1em;
  margin: 0; padding: 0;
}
.prescription label {
  padding-left: .5ex;
  font-size: .75em;
}

.prescription fieldset {
  display: inline-block;
  margin: 0; padding: 1ex;
  margin-right: -.625ex;
  border: none;
  vertical-align: top;
}
.prescription fieldset br { display: none;}

.prescription span,
.prescription input,
.prescription textarea {
  height: 1.5em;
  border: 1px solid #800;
  padding: .25ex;
  background-color: #FFF;
}
.prescription span {
  background-color: #EEE;
  padding: .5ex .25ex;
  white-space: pre-wrap;
  font-size: .75em;
  overflow: hidden;
}

.prescription input[type=checkbox],
.prescription input[type=radio] { display: none;}

.prescription label.checkbox,
.prescription label.radio,
.prescription input[type=checkbox] + label,
.prescription input[type=radio] + label { padding-left: 1.25em; font-size: 1em;}

.prescription label.checkbox:before,
.prescription label.radio:before,
.prescription input[type=checkbox] + label:before,
.prescription input[type=radio] + label:before {
  display: inline-block;
  position: absolute;
  margin-left: -1.25em;
  width: .75em; height: .75em;
  background-color: #FFF;
  border: 1px solid #800;
  content: ' ';
}
.prescription label.radio:before,
.prescription input[type=radio] + label:before { border-radius: .5em;}
.prescription label.checkbox.checked:before,
.prescription label.radio.checked:before,
.prescription input[type=checkbox]:checked + label:before,
.prescription input[type=radio]:checked + label:before { content: "\2713";}

.prescription a.button,
.prescription input[type=submit],
.prescription button {
  height: 1.5em;
  color: #FFF;
  background-color: #800;
  text-align: center;
  text-decoration: none;
  margin: 0; padding: .125em 0 0 0;
  border: none;
}
.prescription a.button {padding: .5ex;}

/* ======== Specific ========== */

.prescription label.presctype,
.prescription input[name=presctype] + label {
  font-size: medium;
  width: 22%;
  margin: 0; margin-right: -.5ex;
  vertical-align: top;
  padding: .25em .5ex .25em 3ex;
  height: 2.5em;
  border-top: 1px solid #DDD;
}
.prescription label.presctype {
  text-align: right;
  font-weight: bold;
  font-size: .875em;
  padding-right: 1ex;
  padding-left: 0;
}

input[name=presctype][value\$=private]:checked  ~ fieldset,
  input[name=presctype][value\$=private] + label,
  .prescription.private { background-color: #CFC;}
input[name=presctype][value\$=selfpaid]:checked  ~ fieldset,
  input[name=presctype][value\$=selfpaid]         + label,
  .prescription.selfpaid { background-color: #FFC;}
input[name=presctype][value=doctor_compulsory]:checked  ~ fieldset,
  input[name=presctype][value=doctor_compulsory]  + label,
  .prescription.doctor.compulsory { background-color: #CFF;}
input[name=presctype][value=dentist_compulsory]:checked  ~ fieldset,
  input[name=presctype][value=dentist_compulsory] + label,
  .prescription.dentist.compulsory { background-color: #FCC;}
input[name=presctype][value^=altpractition]:checked  ~ fieldset,
  input[name=presctype][value^=altpractition]     + label,
  .prescription.altpractition { background-color: #FCF;}

.prescription .baseinfo { width: 60%;}

  .baseinfo label[for=insurance],
  .baseinfo #insurance { width: 100%; }
 
  .baseinfo label[for=name],
  .baseinfo #name { width: 65%; margin-right: -.875ex;}
  .baseinfo #name { height: 4em; }
 
  .baseinfo label[for=bday],
  .baseinfo #bday { width: 35%;}
  .baseinfo #bday { height: 4em; text-align: center; vertical-align: top;}
 
  .baseinfo label[for=date],
  .baseinfo #date { width: 34%; margin-left: 65%;}
  .baseinfo #date { text-align: right;}

.prescription .misc { width: 40%; }

  .misc h1 {
    font-size: 1.25em;
    font-weight: bold;
    width: 100%;
  }
  .misc label[for=addcontrib],
  .misc label[for=contribconfirm] {width: 100%;}
  .misc #addcontrib,
  .misc #contribconfirm {width: 100%; text-align: right;}

.prescription label[for=prescreviewed] {
  margin-left: 1ex;
  font-weight: bold;
  text-decoration: underline;
  background-color: #FCC;
}
.prescription label[for=prescreviewed].checked,
.prescription :checked + label[for=prescreviewed] {
  font-weight: normal;
  text-decoration: none;
  background-color: transparent;
}

.prescription .catalogue { width: 100%; }

  .catalogue h2:nth-of-type(1) {
    font-weight: bold;
    width: 100%;
    margin-bottom: .25em;
  }
  .catalogue label {
    display: inline-block;
    width: 33%;
    margin-right: -.625ex;
    margin-top: .25em;
    vertical-align: top;
  }
  .catalogue label[for=presccontinual] { margin-right: 33%;}

.prescription .description { width: 100%; position: relative;}
  .description * { margin-right: -.625ex; vertical-align: top; }
  .description label {vertical-align: bottom;}

  .description label[for=quantity] { width: 20%;}
  .description label[for=remidy] { width: 60%; }
  .description label[for=quantity_weekly] { width: 20%;}
  .description #quantity,
  .description .quantity { width: 20%;  height: 3em; text-align: center;}
  .description #remidy,
  .description .remidy { width: 60%; height: 3em;}
  .description #quantity_weekly,
  .description .quantity_weekly { width: 20%; height: 3em; text-align: center;}

  .description .indicator_codes {display: inline-block; width: 20%; padding: 0; padding-top: 1.5ex;}
  .description label[for=indicator],
  .description label[for=icd10] { display: block; width: 100%;}
  .description #icd10,
  .description #indicator {width: 100%; text-align: right;}

  .description .indicator_reading { display: inline-block; width: 78%; padding: 0; padding-top: 1.5ex;  margin-left: 2%;}
  .description label[for=indicator_reading],
  .description #indicator_reading { width: 100%; display: block;}
  .description #indicator_reading { height: 4em;}

  .description .issuer { display: inline-block; width: 50%; padding: 0; padding-top: 0; margin-left: 50%;}
  .description .issuer label:first-of-type {
     display: block;
     position: relative;
     width: 50%; left: -50%; top: 2.25em;
     font-size: 1em;
     text-align: right;
     padding-right: 1ex;
   }
  .description .issuer input[type=radio] + label:before { content: none; }
  .description .issuer input[type=radio] { display: none; }
  .description .issuer input[type=radio] + label {
    display: inline-block;
    width: 50%;
    padding: .25ex 0; margin: 0;
    text-align: center;
    border: 1px solid black;
  }
  .description .issuer input[type=radio]:checked + label {
    font-weight: bold;
    background-color: #FFF;
    border-width: 1px;
    border-bottom: 1px solid #FFF;
  }
  .description .issuer input[type=radio] + label + input + label + select,
  .description .issuer input[type=radio] + label + select + input { display: none; }
  .description .issuer input[type=radio]:checked + label + input + label + select,
  .description .issuer input[type=radio]:checked + label + select + input {
    display: block; width: 100%;
    border: 1px solid black;
    background-color: #FFF;
    border-width: 0 1px 1px 1px;
    padding: .25ex .5ex;
    margin-top: -1px;
  }
  .description .issuer input[type=radio]:checked + label + input + label + select option { display: block;}
  .description span#issuer { width: 100%; height: 3em; padding: 1ex 2ex;}

.prescription .controls { width: 100%; }
  .controls a.button,
  .controls button[value=save],
  .controls button[value=cancel],
  .controls button[value=delete] { width: 25%;}

EOF

# vi:set filetype=css:
